Bug 984529 - [rfe] fastest mirror
Summary: [rfe] fastest mirror
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zdeněk Pavlas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-15 12:49 UTC by Susi Lehtola
Modified: 2014-02-02 22:29 UTC (History)
5 users (show)

Fixed In Version: dnf-0.4.2-1.gitc1716d7.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-09 14:20:56 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Susi Lehtola 2013-07-15 12:49:42 UTC
Dnf is blazing fast for resolving the transaction. Alas, this big speed difference wrt yum is often totally eaten up by yum using fastest mirrors. In my case I have a 100 MB connection at home, so yum usually downloads at ~8MB/s, while for dnf the speed can be just ~300kB/s.

dnf should get the same kind of mirror logic as in yum-fastestmirror.

Comment 1 Ales Kozumplik 2013-07-16 05:54:46 UTC
This is highly relevant, yet has to wait for the rest of the API/plugin API to be ready first. Give this some time please.

Comment 2 Tomas Mlcoch 2013-09-26 07:44:36 UTC
Current development version of Librepo (a library which is used by Dnf for downloading metadata and packages) has a LRO_FASTESTMIRROR which does same thing as the yum-fastestmirror:
https://github.com/Tojaj/librepo/commit/acf458f29f7234d2d8d93a68391334343beae4b9

Comment 3 Fedora Update System 2013-10-01 13:52:03 UTC
dnf-0.4.2-1.gitc1716d7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-0.4.2-1.gitc1716d7.fc20

Comment 4 Fedora Update System 2013-10-02 06:49:29 UTC
Package dnf-0.4.2-1.gitc1716d7.fc20, librepo-1.2.0-1.fc20, hawkey-0.4.2-1.git4c51f65.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-0.4.2-1.gitc1716d7.fc20 librepo-1.2.0-1.fc20 hawkey-0.4.2-1.git4c51f65.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18123/librepo-1.2.0-1.fc20,hawkey-0.4.2-1.git4c51f65.fc20,dnf-0.4.2-1.gitc1716d7.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-10-09 14:20:56 UTC
dnf-0.4.2-1.gitc1716d7.fc20, librepo-1.2.0-1.fc20, hawkey-0.4.2-1.git4c51f65.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.